Package org.apache.nutch.plugin

## Class CircularDependencyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.plugin.CircularDependencyException

- All Implemented Interfaces:
    `Serializable`

      public class CircularDependencyException
      extends Exception

  `CircularDependencyException` will be thrown if a circular dependency is detected.
  Author:
    Jérôme Charron
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CircularDependencyException​(String message)` |
    `CircularDependencyException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CircularDependencyException

          public CircularDependencyException​(Throwable cause)

    - #### CircularDependencyException

          public CircularDependencyException​(String message)